let
  moz_overlay = import (builtins.fetchTarball
    "https://github.com/mozilla/nixpkgs-mozilla/archive/master.tar.gz");
  pkgs = import <nixpkgs> { overlays = [ moz_overlay ]; };
  nur = import (builtins.fetchTarball
    "https://github.com/nix-community/NUR/archive/master.tar.gz") {
      inherit pkgs;
    };
in pkgs.mkShell {
  buildInputs = with pkgs; [
    pkgs.latest.rustChannels.stable.rust
    cargo-watch

    pkg-config
    ncurses
  ];

  RUST_LOG="info,majsite=debug,majsite::server=debug";
}
